#---------------------------------------------------------------------------
# Makefile options for the TECS Client library and TecsServer
# machine-dependent part for Redhat Linux with AFS at PSI
#
# Markus Zolliker, March 2003
#--------------------------------------------------------------------------

include macosx_def

CC       = gcc
FC       = g77
CFLAGS   = -DLINUX -g $(DFORTIFY)
FFLAGS   = -Wimplicit -g
ARFLAGS  = cr

# -- system dependent routines

# -- PGPLOT library additions
PGLIB    = -L/usr/X11R6/lib -lX11 -L/sw/lib -lpng \
          -Wl,-framework -Wl,Foundation -Wl,-framework -Wl,AppKit -lcc_dynamic

# -- library for ASYNSRV
HARDSUPLIB=../hardsup/libhlib.a

# -- readline library
RDLIB    =-lreadline

# -- the following macros are used as a replacement for some automatic variables
#    due to different make versions.
# This is for GNU make.
#
# list of prerequisites including paths for VPATH
Q=$^

# Fortran/C source file name
F=$<
C=$<

include make_gen
